@use 'main' as *;
@use 'variables' as *;

.app {
	display: flex;
	flex-flow: column nowrap;
	min-height: 100vh;
	
	&__fill {
		flex-grow: 1;
	}
}

.navigation {
	width: 100%;
	background-color: $blackB;
	min-height: 32px;

	display: flex;
	flex-direction: row;

	&__title {
		color: $blueB;
		font-size: 150%;
		margin: 8px 16px 8px 8px;
		cursor: pointer;
	}

	&__buttons {
		display: flex;
		flex-direction: row;
		align-items: center;
		column-gap: 4px;
	}

	&__separator {
		border-left: 2px solid $blueD;
		margin-left: -1px;
		height: 20px;
	}

	&__button {
		padding: 0px 8px;

		color: $blueB;

		cursor: pointer;

		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
		align-items: center;
		justify-content: center;

		&:hover {
			color: $blueA;
		}

		&--active {
			color: $blueA;	
		}
	}
}

.footer {
	margin: 16px;

	&__text {
		float: right;
		color: $grayB;
	}

	&__highlight {
		color: $white;
	}
}

